| optoMDC

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
optoKummenberg.registers.InputConditioning.InputConditioning Class Reference
Inheritance diagram for optoKummenberg.registers.InputConditioning.InputConditioning:

## Public Member Functions
def | __init__ (self, int channel=0, board=None)
def | SetGain (self, value)
def | SetOffset (self, value)
def | GetGain (self)
def | GetOffset (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | __init__ (self, int or None channel=None, board=None)
def | set_register (self, str or int register_name_or_id, value, bool set_internal=False, float cmd_delay=None)
def | get_register (self, str or int register_name_or_id)
def | get_register_names (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| gain
| offset
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Detailed Description

    Input Conditioning Channel - Offset and Scaling
    System ID: 0x98 through 0x9f

    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    | Register Name  | Id   | Type        | Unit               | Range       | Default | Comment                |
    +================+======+=============+====================+=============+=========+========================+
    | gain           | 0x00 | float 32-bit|                    |             | 1.0     |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    | offset         | 0x01 | float 32-bit|                    |             | 0.0     |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoKummenberg.registers.InputConditioning.InputConditioning.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ GetGain()

def optoKummenberg.registers.InputConditioning.InputConditioning.GetGain | ( |  | self | ) |

## ◆ GetOffset()

def optoKummenberg.registers.InputConditioning.InputConditioning.GetOffset | ( |  | self | ) |

## ◆ help()

def optoKummenberg.registers.InputConditioning.InputConditioning.help | ( |  | ) |
| static

## ◆ SetGain()

def optoKummenberg.registers.InputConditioning.InputConditioning.SetGain | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetOffset()

def optoKummenberg.registers.InputConditioning.InputConditioning.SetOffset | ( |  | self,
|  |  | value
| ) |  |

## Member Data Documentation

## ◆ gain

optoKummenberg.registers.InputConditioning.InputConditioning.gain

## ◆ name

optoKummenberg.registers.InputConditioning.InputConditioning.name

## ◆ offset

optoKummenberg.registers.InputConditioning.InputConditioning.offset

## ◆ sys_id

optoKummenberg.registers.InputConditioning.InputConditioning.sys_id

The documentation for this class was generated from the following file:

- C:/Users/johnathon.barhydt/PycharmProjects/138-882-00_optoMDC/src/main/python/optoKummenberg/registers/InputConditioning.py